Instalar Wine no Linux Mint 19.3

Olá Pessoal, não estou conseguindo instalar o Wine no Linux mint 19.3, já segui vários tutoriais…
O erro é esse:

sudo apt install --install-recommends winehq-stable 
Lendo listas de pacotes... Pronto
Construindo árvore de dependências       
Lendo informação de estado... Pronto
Alguns pacotes não puderam ser instalados. Isto pode significar que
você solicitou uma situação impossível ou, se você está usando a
distribuição instável, que alguns pacotes requeridos não foram
criados ainda ou foram retirados da "Incoming".
A informação a seguir pode ajudar a resolver a situação:

Os pacotes a seguir têm dependências desencontradas:
 winehq-stable : Depende: wine-stable (= 5.0.0~bionic)
E: Impossível corrigir problemas, você manteve (hold) pacotes quebrados.

Vi aqui no forum que já tiveram este problema no Mint 19.1 tentei as dicas que estavam lá mas mesmo assim não foi

2 Curtidas

Em uma instalação limpa (inicial), funciona assim para mim:

Não deixe de inserir o ppa dos seus drivers de video, lembrando que o mint é ubuntu 18.04

tente também isso para corrigir algo errado que já deve ter acontecido ai no seu sistema:

sudo apt-get clean
sudo apt-get autoclean
sudo apt-get autoremove --purge -y
sudo apt-get install -f -y && dpkg --configure -a

Então … eu segui este tutorial … mas quando eu vou adicionar o repositório ele da erro:

sudo apt-add-repository 'deb https://dl.winehq.org/wine-builds/ubuntu/bionic main'
Entrada mal formada, repositório não adicionado.

Ai o que eu fiz foi adicionar manualmente em /etc/apt/source.list … mas da o erro

winehq-stable : Depende: wine-stable (= 5.0.0~bionic)
E: Impossível corrigir problemas, você manteve (hold) pacotes quebrados.

seu arquivo /etc/apt/sources.list.d/additional-repositories.list , deve estar assim com apenas com uma linha:
deb https://dl.winehq.org/wine-builds/ubuntu/ bionic main

no codigo que passou ta faltando um espaço antes do “bionic”

Opa eae blza?? Se vc estiver tentando instalar o Wine direto do site do projeto, tenta esse tutorial aqui https://www.diolinux.com.br/2019/08/como-instalar-o-wine-no-ubuntu-de-forma-correta.html . E antes de tentar, faça uma “Limpeza” dos procedimentos anteriores para nao dar conflito.

1 Curtida

No caso eu não tinha este arquivo additional-repositories.list … então eu crier ele agora e ficou assim

cat /etc/apt/sources.list.d/additional-repositories.list 
deb https://dl.winehq.org/wine-builds/ubuntu/ bionic main

mas continua com o erro

atualizou os repositorios?
sudo apt update && sudo apt upgrade -y


Se não der certo tente limpar as key e repositorio pelo painel de controle do mint:
Fontes de aplicativos > Repositorios adicionais
Fontes de aplicativos > Chaves de autenticação
Cuidado para não apagar repositorio principal, mexa apenas no WineHQ


Se não der certo, tente a manutenção:
Fontes de aplicativos > manutenção:

Se não funcionar, acho que só instalando o mint novamente do zero.

1 Curtida

Faça o seguinte, desinstale o wine caso tenha instalado:

sudo apt remove wine

Remova a PPA e a key do wine que você está tentando usa. Só siga daqui pra frente se fez tudo o que eu falei.

sudo dpkg --add-architecture i386

Entre nesse site e baixe essa key:
ctrl + s para baixa.

https://download.opensuse.org/repositories/Emulators:/Wine:/Debian/xUbuntu_18.04/Release.key

Abra o terminal e vá até a pasta que você baixo a key e de esse comando:

sudo apt-key add Release.key

Adicione essa PPA:

sudo apt-add-repository ‘deb Index of /repositories/Emulators:/Wine:/Debian/xUbuntu_18.04 ./’

Atualize o repositório:

sudo apt update

Faça a instalação do wine normalmente:

sudo apt install --install-recommends winehq-stable

3 Curtidas

Eh Galera!!! Valeu pelas dicas … mas sem sucesso ainda …
Então! eu to com o seguinte “problema” ao adicionar o repositório… (não sei se faz diferença)…

sudo apt-add-repository 'deb https://download.opensuse.org/repositories/Emulators:/Wine:/Debian/xUbuntu_18.04/ ./'
Entrada mal formada, repositório não adicionado.

sudo apt-add-repository 'deb https://dl.winehq.org/wine-builds/ubuntu/ bionic main'  
Entrada mal formada, repositório não adicionado.

A mesma mensagem aparece se for pelo fontes de aplicativos:
repositorio-27-06:12

A chave eu consigo adicionar com sucesso

A unica maneira que eu consigo adicionar o repositório é de forma manual…
no caso eu tive que criar um arquivo

sudo xed /etc/apt/sources.list.d/additional-repositories.list

adicionei o repositório e salvei

cat /etc/apt/sources.list.d/additional-repositories.list 
deb https://download.opensuse.org/repositories/Emulators:/Wine:/Debian/xUbuntu_18.04/ ./

Ou então adicionar no /etc/apt/sources.list

Quando faço o ‘sudo apt update’ eu vejo o repositório na lista.

Obter:24 https://download.opensuse.org/repositories/Emulators:/Wine:/Debian/xUbuntu_18.04 ./ Packages [16,7 kB]
Baixados 274 kB em 5s (57,2 kB/s)                          
Lendo listas de pacotes... Pronto
Construindo árvore de dependências       
Lendo informação de estado... Pronto
All packages are up to date.
N: Skipping acquire of configured file 'contrib/binary-i386/Packages' as repository 'http://download.virtualbox.org/virtualbox/debian bionic InRelease' doesn't support architecture 'i386'

Não sei se isso interfere na instalação!!!

Sempre que sigo um tutorial eu desfaço o tutorial anterior

Quando tento instalar da o erro

sudo apt install --install-recommends winehq-devel -y
Lendo listas de pacotes... Pronto
Construindo árvore de dependências       
Lendo informação de estado... Pronto
Alguns pacotes não puderam ser instalados. Isto pode significar que
você solicitou uma situação impossível ou, se você está usando a
distribuição instável, que alguns pacotes requeridos não foram
criados ainda ou foram retirados da "Incoming".
A informação a seguir pode ajudar a resolver a situação:

Os pacotes a seguir têm dependências desencontradas:
 winehq-devel : Depende: wine-devel (= 5.0.0~bionic)
E: Impossível corrigir problemas, você manteve (hold) pacotes quebrados.

Qualquer um dos 3 que eu tente instalar da u erro acima

sudo apt install --install-recommends winehq-stable -y

sudo apt install --install-recommends winehq-devel -y

sudo apt install --install-recommends winehq-s

Tanto a dica do @mrkalvin quanto do @CanalOCaraDoTI e do @YugiMoto resultam no mesmo erro acima.

Acredito pessoal que é pq eu fiz uma atualização do Mint do 19.2 para o 19.3 ao invés de uma “instalação limpa”.
Se eu conseguir eu falo aqui… Vlw!!

Cara você tem que remova todas as PPA do wine e adiciona a que eu falei é simples, três amigos meus veio me pergunta e estava com o mesmo problema e inclusive eu assim que saiu a versão 5.0 estável do wine eu estava com esse problema só que pra funciona você tem que remova a PPA antiga se você adiciona a PPA que eu falei junto com a antiga não vai funciona mesmo.

1 Curtida

Se não remova desinstala o wine, remova a PPA e a antiga Key da PPA não vai funciona mesmo é um bug da nova atualização do wine 5.0 se você não remova a PPA bugada e adiciona a que eu falei você pode formata 1 milhão de vezes que não vai funciona se você fica insistindo em uma PPA que no momento está bugada.

1 Curtida

Eu vou abri um post aqui e vou demonstra, vou grava um vídeo com essa PPA ai e vou mostra como que resolve esse problema .

1 Curtida

Vou tentar seu procedimento novamente… eu me lembro de ter removido PPAs e chaves …fazer uma limpeza antes de fazer o seu procedimento… mas eu vou fazer novamente, pois acho que deixai passar alguma coisa … vlw novamente :+1:

Não formata não, já to gravando aqui o passo a passo e vou abri um post e vou coloca o vídeo no YouTube e te marco nele pra você vê como que resolve e vai vê que se você formata vai da o mesmo problema

1 Curtida

Blz cara… vou esperar o vídeo … :smile: até pq eu to sem coragem pra formatar… :sweat_smile:

Já to upando e vou abri o post

Ta ai:
Eu fiz rápido mas depois olho e edito melhor.

1 Curtida

O Linux Mint parce estar com problemas pra adicionar repositórios. Também não consegui adicionar nem pela linha comando nem pela interface gráfica, dá esse mesmo erro. Adicionei o repositório manualmente também, só que criei o arquivo wine.list em /etc/apt/sources.list.d/ ao invés de additional-repositories.list.

1 Curtida

Aqui broder, postei esse tuto anteontem, tenta seguir esses passos que talvez dê certo

https://plus.diolinux.com.br/t/como-instalar-o-wine-5-0-no-ubuntu-18-04-19-10-mint-19-x

1 Curtida

Apenas consigo assim tb… você conseguiu instalar o Wine?